apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: pgsql
  namespace: db
spec:
  serviceName: "pgsql"
  replicas: 1
  selector:
    matchLabels:
      app: pgsql
  template:
    metadata:
      labels:
        app: pgsql
    spec:
      containers:
      - name: pgsql
        image: postgres:16
        env:
        - name: POSTGRES_PASSWORD
          valueFrom:
            secretKeyRef:
              name: db-root-pass
              key: token
        - name: PGDATA
          value: /var/lib/postgresql/data/pgdata
        ports:
        - containerPort: 5432
          name: port-pgsql
        volumeMounts:
        - name: data-pgsql
          mountPath: /var/lib/postgresql/data
  volumeClaimTemplates:
  - metadata:
      name: data-pgsql
    spec:
      accessModes: [ "ReadWriteOnce" ]
      resources:
        requests:
          storage: 10Gi
      storageClassName: longhorn
